WebSphere MQ Security Vulnerability: multiple security vulnerabilities in IBM JRE 6

Flash (Alert)


Abstract

Multiple potentially significant security vulnerabilities exist in the IBM Java Runtime Environment component of WebSphere MQ, patches for these are available in IBM JRE 6 (SR11).

Content

VULNERABILITY DETAILS

CVE ID: CVE-2012-0551, CVE-2012-1717, CVE-2012-1716, CVE-2012-1713, CVE-2012-1719, CVE-2012-1718, CVE-2012-1723, CVE-2012-1722, CVE-2012-1721, CVE-2012-1720, CVE-2012-1725

DESCRIPTION:
There are multiple potentially significant security vulnerabilities in the IBM Java Runtime Environment component of WebSphere MQ.

CVE-2012-0551 (CVSS 5.8)
Remote attackers could affect confidentiality and integrity via unknown vectors related to Web Container or Deployment.

CVE-2012-1717 (CVSS 3.5)
Local users could affect confidentiality via unknown vectors related to printing on Solaris or Linux.

CVE-2012-1716 (CVSS 10)
Remote attackers could affect confidentiality, integrity, and availability via unknown vectors related to Swing.

CVE-2012-1713 (CVSS 10)
Remote attackers could affect confidentiality, integrity, and availability via unknown vectors related to 2D.

CVE-2012-1719 (CVSS 5)
Remote attackers could affect integrity, related to CORBA.

CVE-2012-1718 (CVSS 3.6)
Remote attackers could affect availability via unknown vectors related to Security.

CVE-2012-1723 (CVSS 10)
Remote attackers could affect confidentiality, integrity, and availability via unknown vectors related to Hotspot.

CVE-2012-1722 (CVSS 10)
Remote attackers could affect confidentiality, integrity, and availability via unknown vectors related to Deployment.

CVE-2012-1721 (CVSS 10)
Remote attackers could affect confidentiality, integrity, and availability via unknown vectors related to Deployment.

CVE-2012-1720 (CVSS 3.7)
Local users could affect confidentiality, integrity, and availability via unknown vectors related to Networking on Solaris.

CVE-2012-1725 (CVSS 10)
Remote attackers could affect confidentiality, integrity, and availability via unknown vectors related to Hotspot.

CVSS:
CVSS Base Score: 10
CVSS Temporal Score: Undefined
CVSS Environmental Score*: Undefined
CVSS Vector: Undefined
*The CVSS Environment Score is customer environment specific and will ultimately impact the Overall CVSS Score. Customers can evaluate the impact of this vulnerability in their environments by accessing the links in the Reference section of this Flash.

AFFECTED PLATFORMS:

  • IBM JRE 6 (maintenance levels older than SR11) provided by;
    • WebSphere MQ 7.1 on all platforms (except IBM i and z/OS)
    • WebSphere MQ 7.5 on all platforms (except IBM i and z/OS)

REMEDIATION:
WebSphere MQ 7.1
Apply fix pack 7.1.0.2 when available. In the interim apply APAR IC87062

WebSphere MQ 7.5
Apply fix pack 7.5.0.1 when available. In the interim apply APAR IC87062

MITIGATION:
None known

REFERENCES:
Complete CVSS Guide ( http://www.first.org/cvss/cvss-guide.html)
On-line Calculator V2 ( http://nvd.nist.gov/cvss.cfm?calculator&adv&version=2)
CVE-2012-0551 ( http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-0551)
CVE-2012-1717 ( http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1717)
CVE-2012-1716 ( http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1716)
CVE-2012-1713 ( http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1713)
CVE-2012-1719 ( http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1719)
CVE-2012-1718 ( http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1718)
CVE-2012-1723 ( http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1723)
CVE-2012-1722 ( http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1722)
CVE-2012-1721 ( http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1721)
CVE-2012-1720 ( http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1720)
CVE-2012-1725 ( http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1725)

CHANGE HISTORY:
20th September 2012: Original Copy Published
25th September 2012: Removed WebSphere MQ 7.0.1 from affected platforms
24th October 2012: Added links to interim fixes in remediation section

Note: 
According to the Forum of Incident Response and Security Teams (FIRST), the Common Vulnerability Scoring System (CVSS) is an "industry open standard designed to convey vulnerability severity and help to determine urgency and priority of response." IBM PROVIDES THE CVSS SCORES "AS IS" WITHOUT WARRANTY OF ANY KIND, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. CUSTOMERS ARE RESPONSIBLE FOR ASSESSING THE IMPACT OF ANY ACTUAL OR POTENTIAL SECURITY VULNERABILITY.

Product Alias/Synonym

WMQ MQ

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

WebSphere MQ
Security

Software version:

7.1, 7.1.0.1, 7.5

Operating system(s):

AIX, HP Itanium, HP-UX, Linux, Linux Red Hat - i/p Series, Linux Red Hat - xSeries, Linux Red Hat - zSeries, Linux SUSE - xSeries, Linux SUSE - zSeries, Linux SuSE - i/p Series, Linux iSeries, Linux on Power, Linux zSeries, Solaris, UNIX, Windows

Software edition:

All Editions

Reference #:

1610315

Modified date:

2012-10-24

Translate my page

Machine Translation

Content navigation